### This is a configuration file for Zabbix Server process
### To get more information about Zabbix, visit http://www.zabbix.com

################# GENERAL PARAMETERS #################

### Default value:  ListenPort=10051 | Range: 1024-32767 | Mandatory: no 
###	Listen port for trapper.
# ListenPort=10051

### Default value:  SourceIP= | Mandatory: no | 
###	Source IP address for outgoing connections.
# SourceIP=

### Default value:  LogFile= | Mandatory: no | 
###	Name of log file.
###	If not set, syslog is used.
LogFile=/tmp/zabbix_server.log

### Default value:  LogFileSize=1 | Range: 0-1024 | Mandatory: no 
###	Maximum size of log file in MB.
###	0 - disable automatic log rotation.
# LogFileSize=1

### Default value:  DebugLevel=3 | Range: 0-4 | Mandatory: no
###	Specifies debug level
###	0 - basic information about starting and stopping of Zabbix processes
###	1 - critical information
###	2 - error information
###	3 - warnings
###	4 - for debugging (produces lots of information)
# DebugLevel=3

### Default value:  PidFile=/tmp/zabbix_server.pid | Mandatory: no | 
###	Name of PID file.
# PidFile=/tmp/zabbix_server.pid

### Default value:  DBHost=localhost | Mandatory: no | 
###	Database host name.
###	If set to localhost, socket is used for MySQL.
###	If set to empty string, socket is used for PostgreSQL.
# DBHost=localhost

### Default value:  DBName= | Mandatory: yes | 
###	Database name.
###	For SQLite3 path to database file must be provided. DBUser and DBPassword are ignored.
DBName=zabbix

### Default value:  DBSchema= | Mandatory: no | 
###	Schema name. Used for IBM DB2 and PostgreSQL.
# DBSchema=

### Default value:  DBUser= | Mandatory: no | 
###	Database user. Ignored for SQLite.
DBUser=root

### Default value:  DBPassword= | Mandatory: no | 
###	Database password. Ignored for SQLite.
###	Comment this line if no password is used.
# DBPassword=

### Default value:  DBSocket=/tmp/mysql.sock | Mandatory: no | 
###	Path to MySQL socket.
# DBSocket=/tmp/mysql.sock

### Default value: Option=Default value (for MySQL): DBPort=3306 | Range: 1024-65535 | Mandatory: no 
###	Database port when not using local socket. Ignored for SQLite.
# DBPort=3306

### Default value:############## ADVANCED PARAMETERS #################

### Default value:  StartPollers=5 | Range: 0-1000 | Mandatory: no 
###	Number of pre-forked instances of pollers.
# StartPollers=5

### Default value:  StartIPMIPollers=0 | Range: 0-1000 | Mandatory: no 
###	Number of pre-forked instances of IPMI pollers.
# StartIPMIPollers=0

### Default value:  StartPollersUnreachable=1 | Range: 0-1000 | Mandatory: no
###	Number of pre-forked instances of pollers for unreachable hosts (including IPMI).
# StartPollersUnreachable=1

### Default value:  StartTrappers=5 | Range: 0-1000 | Mandatory: no
###	Number of pre-forked instances of trappers.
###	Trappers accept incoming connections from Zabbix sender, active agents and active proxies.
###	At least one trapper process must be running to display server availability and view queue
###	in the frontend.
# StartTrappers=5

### Default value:  StartPingers=1 | Range: 0-1000 | Mandatory: no
###	Number of pre-forked instances of ICMP pingers.
# StartPingers=1

### Default value:  StartDiscoverers=1 | Range: 0-250 | Mandatory: no
###	Number of pre-forked instances of discoverers.
# StartDiscoverers=1

### Default value:  StartHTTPPollers=1 | Range: 0-1000 | Mandatory: no
###	Number of pre-forked instances of HTTP pollers.
# StartHTTPPollers=1

### Default value:  StartTimers=1 | Range: 1-1000 | Mandatory: no
###	Number of pre-forked instances of timers.
###	Timers process time-based trigger functions and maintenance periods.
###	Only the first timer process handles the maintenance periods.
# StartTimers=1

### Default value:  JavaGateway= | Mandatory: no | 
###	IP address (or hostname) of Zabbix Java gateway.
###	Only required if Java pollers are started.
# JavaGateway=

### Default value:  JavaGatewayPort=10052 | Range: 1024-32767 | Mandatory: no
###	Port that Zabbix Java gateway listens on.
# JavaGatewayPort=10052

### Default value:  StartJavaPollers=0 | Range: 0-1000 | Mandatory: no
###	Number of pre-forked instances of Java pollers.
# StartJavaPollers=0

### Default value:  StartVMwareCollectors=0 | Range: 0-250 | Mandatory: no
###	Number of pre-forked vmware collector instances.
# StartVMwareCollectors=0

### Default value:  VMwareFrequency=60 | Range: 10-86400 | Mandatory: no
###	How often Zabbix will connect to VMware service to obtain a new data.
# VMwareFrequency=60

### Default value:  VMwareCacheSize=8M | Range: 256K-2G | Mandatory: no
###	Size of VMware cache, in bytes.
###	Shared memory size for storing VMware data.
###	Only used if VMware collectors are started.
# VMwareCacheSize=8M

### Default value:  SNMPTrapperFile=/tmp/zabbix_traps.tmp | Mandatory: no | 
###	Temporary file used for passing data from SNMP trap daemon to the server.
###	Must be the same as in zabbix_trap_receiver.pl or SNMPTT configuration file.
# SNMPTrapperFile=/tmp/zabbix_traps.tmp

### Default value:  StartSNMPTrapper=0 | Range: 0-1 | Mandatory: no
###	If 1, SNMP trapper process is started.
# StartSNMPTrapper=0

### Default value:  ListenIP=0.0.0.0 | Mandatory: no | 
###	List of comma delimited IP addresses that the trapper should listen on.
###	Trapper will listen on all network interfaces if this parameter is missing.
# ListenIP=127.0.0.1

### Default value:  HousekeepingFrequency=1 | Range: 1-24 | Mandatory: no
###	How often Zabbix will perform housekeeping procedure (in hours).
###	Housekeeping is removing unnecessary information from history, alert, and alarms tables.
###	To prevent Housekeeper from being overloaded (for example, when history and trend periods
###	are greatly reduced), no more than 4xHousekeepingFrequency hours of outdated history are
###	deleted in one housekeeping cycle, for each item.
# HousekeepingFrequency=1

### Default value:  MaxHousekeeperDelete=500 | Range: 0-1000000 | Mandatory: no
###	The table "housekeeper" contains "tasks" for housekeeping procedure in the format:
###	[housekeeperid], [tablename], [field], [value].
###	No more than 'MaxHousekeeperDelete' rows (corresponding to [tablename], [field], [value])
###	will be deleted per one task in one housekeeping cycle.
###	SQLite3 does not use this parameter, deletes all corresponding rows without a limit.
###	If set to 0 then no limit is used at all. In this case you must know what you are doing!
# MaxHousekeeperDelete=500

### Default value:  SenderFrequency=30 | Range: 5-3600 | Mandatory: no
###	How often Zabbix will try to send unsent alerts (in seconds).
# SenderFrequency=30

### Default value:  CacheSize=8M | Range: 128K-8G | Mandatory: no
###	Size of configuration cache, in bytes.
###	Shared memory size for storing host, item and trigger data.
# CacheSize=8M

### Default value:  CacheUpdateFrequency=60 | Range: 1-3600 | Mandatory: no
###	How often Zabbix will perform update of configuration cache, in seconds.
# CacheUpdateFrequency=60

### Default value:  StartDBSyncers=4 | Range: 1-100 | Mandatory: no
###	Number of pre-forked instances of DB Syncers
# StartDBSyncers=4

### Default value:  HistoryCacheSize=8M | Range: 128K-2G | Mandatory: no
###	Size of history cache, in bytes.
###	Shared memory size for storing history data.
# HistoryCacheSize=8M

### Default value:  TrendCacheSize=4M | Range: 128K-2G | Mandatory: no
###	Size of trend cache, in bytes.
###	Shared memory size for storing trends data.
# TrendCacheSize=4M

### Default value:  HistoryTextCacheSize=16M | Range: 128K-2G | Mandatory: no
###	Size of text history cache, in bytes.
###	Shared memory size for storing character, text or log history data.
# HistoryTextCacheSize=16M

### Default value:  ValueCacheSize=8M | Range: 0,128K-64G | Mandatory: no
###	Size of history value cache, in bytes.
###	Shared memory size for caching item history data requests
###	Setting to 0 disables value cache.
# ValueCacheSize=8M

### Default value:  Timeout=3 | Range: 1-30 | Mandatory: no
###	Specifies how long we wait for agent, SNMP device or external check (in seconds).
# Timeout=3

### Default value:  TrapperTimeout=300 | Range: 1-300 | Mandatory: no
###	Specifies how many seconds trapper may spend processing new data.
# TrapperTimeout=300

### Default value:  UnreachablePeriod=45 | Range: 1-3600 | Mandatory: no
###	After how many seconds of unreachability treat a host as unavailable.
# UnreachablePeriod=45

### Default value:  UnavailableDelay=60 | Range: 1-3600 | Mandatory: no
###	How often host is checked for availability during the unavailability period, in seconds.
# UnavailableDelay=60

### Default value:  UnreachableDelay=15 | Range: 1-3600 | Mandatory: no
###	How often host is checked for availability during the unreachability period, in seconds.
# UnreachableDelay=15

### Default value:  AlertScriptsPath=${datadir}/zabbix/alertscripts | Mandatory: no | 
###	Full path to location of custom alert scripts.
###	Default depends on compilation options.
# AlertScriptsPath=${datadir}/zabbix/alertscripts

### Default value:  ExternalScripts=${datadir}/zabbix/externalscripts | Mandatory: no | 
###	Full path to location of external scripts.
###	Default depends on compilation options.
# ExternalScripts=${datadir}/zabbix/externalscripts

### Default value:  FpingLocation=/usr/sbin/fping | Mandatory: no | 
###	Location of fping.
###	Make sure that fping binary has root ownership and SUID flag set.
# FpingLocation=/usr/sbin/fping

### Default value:  Fping6Location=/usr/sbin/fping6 | Mandatory: no | 
###	Location of fping6.
###	Make sure that fping6 binary has root ownership and SUID flag set.
###	Make empty if your fping utility is capable to process IPv6 addresses.
# Fping6Location=/usr/sbin/fping6

### Default value:  SSHKeyLocation= | Mandatory: no | 
###	Location of public and private keys for SSH checks and actions.
# SSHKeyLocation=

### Default value:  LogSlowQueries=0 | Range: 1-3600000 | Mandatory: no
###	How long a database query may take before being logged (in milliseconds).
###	Only works if DebugLevel set to 3 or 4.
###	0 - don't log slow queries.
# LogSlowQueries=0

### Default value:  TmpDir=/tmp | Mandatory: no | 
###	Temporary directory.
# TmpDir=/tmp

### Default value:  StartProxyPollers=1 | Range: 0-250 | Mandatory: no
###	Number of pre-forked instances of pollers for passive proxies.
# StartProxyPollers=1

### Default value:  ProxyConfigFrequency=3600 | Range: 1-3600*24*7 | Mandatory: no
###	How often Zabbix Server sends configuration data to a Zabbix Proxy in seconds.
###	This parameter is used only for proxies in the passive mode.
# ProxyConfigFrequency=3600

### Default value:  ProxyDataFrequency=1 | Range: 1-3600 | Mandatory: no
###	How often Zabbix Server requests history data from a Zabbix Proxy in seconds.
###	This parameter is used only for proxies in the passive mode.
# ProxyDataFrequency=1

### Default value:  AllowRoot=0 | Range: 0-1 | Mandatory: no
###	Allow the server to run as 'root'. If disabled and the server is started by 'root', the server
###	will try to switch to the user specified by the User configuration option instead.
###	Has no effect if started under a regular user.
###	0 - do not allow
###	1 - allow
# AllowRoot=0

### Default value:  User=zabbix | Mandatory: no | 
###	Drop privileges to a specific, existing user on the system.
###	Only has effect if run as 'root' and AllowRoot is disabled.
# User=zabbix

### Default value:  Include= | Mandatory: no | Multiple entries are allowed
###	You may include individual files or all files in a directory in the configuration file.
###	Installing Zabbix will create include directory in /usr/local/etc, unless modified during the compile time.
# Include=/usr/local/etc/zabbix_server.general.conf
# Include=/usr/local/etc/zabbix_server.conf.d/
# Include=/usr/local/etc/zabbix_server.conf.d/*.conf

### Default value:  SSLCertLocation=${datadir}/zabbix/ssl/certs | Mandatory: no | 
###	Location of SSL client certificates.
###	This parameter is used only in Web monitoring.
# SSLCertLocation=${datadir}/zabbix/ssl/certs

### Default value:  SSLKeyLocation=${datadir}/zabbix/ssl/keys | Mandatory: no | 
###	Location of private keys for SSL client certificates.
###	This parameter is used only in Web monitoring.
# SSLKeyLocation=${datadir}/zabbix/ssl/keys

### Default value:  SSLCALocation= | Mandatory: no | 
###	Location of certificate authority (CA) files for SSL server certificate verification.
###	If not set, system-wide directory will be used.
###	This parameter is used only in Web monitoring.
# SSLCALocation=

### Default value:############## LOADABLE MODULES #################

### Default value:  LoadModulePath=${libdir}/modules | Mandatory: no | 
###	Full path to location of server modules.
###	Default depends on compilation options.
# LoadModulePath=${libdir}/modules

### Default value:  LoadModule= | Mandatory: no | 
###	Module to load at server startup. Modules are used to extend functionality of the server.
###	Format: LoadModule=<module.so>
###	The modules must be located in directory specified by LoadModulePath.
###	It is allowed to include multiple LoadModule parameters.
# LoadModule=
